## pg-squeeze 1.6.2

=== Makefile ===
PG_CONFIG ?= pg_config
MODULE_big = pg_squeeze
OBJS = pg_squeeze.o concurrent.o worker.o pgstatapprox.o $(WIN32RES)
PGFILEDESC = "pg_squeeze - a tool to remove unused space from a relation."

EXTENSION = pg_squeeze
DATA = pg_squeeze--1.2.sql pg_squeeze--1.2--1.3.sql pg_squeeze--1.3--1.4.sql \
pg_squeeze--1.4--1.5.sql pg_squeeze--1.5--1.6.sql
DOCS = pg_squeeze.md

REGRESS = squeeze

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pg-squeeze (1.6.2-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Sep 2023 21:55:01 +0200

pg-squeeze (1.6.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 21:55:01 +0200

pg-squeeze (1.6.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 21:00:38 +0200

pg-squeeze (1.6.1-1) unstable; urgency=medium

  * New upstream version with PG16 support.
  * debian/tests/concurrency: Use correct port.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Sep 2023 16:29:53 +0200

pg-squeeze (1.5.2-1) unstable; urgency=medium

  [ Ivan Kovmir ]
  * Initial release.

 -- Christoph Berg <myon@debian.org>  Wed, 16 Aug 2023 12:32:36 +0000

=== debian/control ===
Source: pg-squeeze
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 217~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.cybertec-postgresql.com/products/pg_squeeze/
Vcs-Browser: https://github.com/cybertec-postgresql/pg_squeeze
Vcs-Git: https://github.com/cybertec-postgresql/pg_squeeze.git

Package: postgresql-11-squeeze
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension for automatic bloat cleanup
 The pg_squeeze PostgreSQL extension removes unused space from a table and
 optionally sorts tuples according to particular index, as if the CLUSTER
 command was executed concurrently with regular reads/writes.

Package: postgresql-12-squeeze
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension for automatic bloat cleanup
 The pg_squeeze PostgreSQL extension removes unused space from a table and
 optionally sorts tuples according to particular index, as if the CLUSTER
 command was executed concurrently with regular reads/writes.

Package: postgresql-13-squeeze
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension for automatic bloat cleanup
 The pg_squeeze PostgreSQL extension removes unused space from a table and
 optionally sorts tuples according to particular index, as if the CLUSTER
 command was executed concurrently with regular reads/writes.

Package: postgresql-14-squeeze
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension for automatic bloat cleanup
 The pg_squeeze PostgreSQL extension removes unused space from a table and
 optionally sorts tuples according to particular index, as if the CLUSTER
 command was executed concurrently with regular reads/writes.

Package: postgresql-15-squeeze
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension for automatic bloat cleanup
 The pg_squeeze PostgreSQL extension removes unused space from a table and
 optionally sorts tuples according to particular index, as if the CLUSTER
 command was executed concurrently with regular reads/writes.

Package: postgresql-16-squeeze
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension for automatic bloat cleanup
 The pg_squeeze PostgreSQL extension removes unused space from a table and
 optionally sorts tuples according to particular index, as if the CLUSTER
 command was executed concurrently with regular reads/writes.

## pg-squeeze 1.7.0~beta2

=== debian/changelog ===
pg-squeeze (1.7.0~beta2-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 19 Aug 2024 15:56:07 +0200

pg-squeeze (1.7.0~beta2-1) unstable; urgency=medium

  * New upstream version 1.7.0~beta2.
  * Move packaging repo to salsa.debian.org.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Aug 2024 15:56:07 +0200

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  postgresql-all (>= 217~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.cybertec-postgresql.com/products/pg_squeeze/
-Vcs-Browser: https://github.com/cybertec-postgresql/pg_squeeze
-Vcs-Git: https://github.com/cybertec-postgresql/pg_squeeze.git
-
-Package: postgresql-11-squeeze
-Architecture: any
-Depends:
- ${misc:Depends},
- ${postgresql:Depends},
- ${shlibs:Depends},
-Description: PostgreSQL extension for automatic bloat cleanup
- The pg_squeeze PostgreSQL extension removes unused space from a table and
- optionally sorts tuples according to particular index, as if the CLUSTER
- command was executed concurrently with regular reads/writes.
+Vcs-Browser: https://salsa.debian.org/postgresql/pg-squeeze
+Vcs-Git: https://salsa.debian.org/postgresql/pg-squeeze.git
 
 Package: postgresql-12-squeeze
 Architecture: any

## pg-squeeze 1.7.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 EXTENSION = pg_squeeze
 DATA = pg_squeeze--1.2.sql pg_squeeze--1.2--1.3.sql pg_squeeze--1.3--1.4.sql \
-pg_squeeze--1.4--1.5.sql pg_squeeze--1.5--1.6.sql
+pg_squeeze--1.4--1.5.sql pg_squeeze--1.5--1.6.sql pg_squeeze--1.6--1.7.sql
 DOCS = pg_squeeze.md
 
 REGRESS = squeeze

=== debian/changelog ===
pg-squeeze (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Sep 2024 15:16:23 +0200

pg-squeeze (1.7.0~beta2-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 10:58:08 +0200

## pg-squeeze 1.8.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 
 EXTENSION = pg_squeeze
 DATA = pg_squeeze--1.2.sql pg_squeeze--1.2--1.3.sql pg_squeeze--1.3--1.4.sql \
-pg_squeeze--1.4--1.5.sql pg_squeeze--1.5--1.6.sql pg_squeeze--1.6--1.7.sql
+pg_squeeze--1.4--1.5.sql pg_squeeze--1.5--1.6.sql pg_squeeze--1.6--1.7.sql \
+pg_squeeze--1.7--1.8.sql
 DOCS = pg_squeeze.md
 
 REGRESS = squeeze

=== debian/changelog ===
pg-squeeze (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0.

 -- Christoph Berg <myon@debian.org>  Fri, 24 Jan 2025 14:53:21 +0100

=== debian/control ===
Source: pg-squeeze
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.cybertec-postgresql.com/products/pg_squeeze/
Vcs-Browser: https://salsa.debian.org/postgresql/pg-squeeze
Vcs-Git: https://salsa.debian.org/postgresql/pg-squeeze.git

Package: postgresql-17-squeeze
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL extension for automatic bloat cleanup
 The pg_squeeze PostgreSQL extension removes unused space from a table and
 optionally sorts tuples according to particular index, as if the CLUSTER
 command was executed concurrently with regular reads/writes.

=== debian/watch ===
version=4
opts=uversionmangle=s/_/./g;s/\.?BETA/~beta/ \
https://github.com/cybertec-postgresql/pg_squeeze/tags .*/(?:REL)?(.*).tar.gz

## pg-squeeze 1.9.0

=== debian/changelog ===
pg-squeeze (1.9.0-1) experimental; urgency=medium

  * New upstream version 1.9.0.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Aug 2025 15:36:43 +0200

## pg-squeeze 1.9.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 EXTENSION = pg_squeeze
 DATA = pg_squeeze--1.2.sql pg_squeeze--1.2--1.3.sql pg_squeeze--1.3--1.4.sql \
 pg_squeeze--1.4--1.5.sql pg_squeeze--1.5--1.6.sql pg_squeeze--1.6--1.7.sql \
-pg_squeeze--1.7--1.8.sql
+pg_squeeze--1.7--1.8.sql pg_squeeze--1.8--1.9.sql
 DOCS = pg_squeeze.md
 
 REGRESS = squeeze

=== debian/changelog ===
pg-squeeze (1.9.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117291)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:51:31 +0200

pg-squeeze (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Sep 2025 16:53:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  postgresql-all <!nocheck>,
  postgresql-server-dev-all,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.cybertec-postgresql.com/products/pg_squeeze/
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-squeeze
 Vcs-Git: https://salsa.debian.org/postgresql/pg-squeeze.git
 
-Package: postgresql-17-squeeze
+Package: postgresql-18-squeeze
 Architecture: any
 Depends:
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL extension for automatic bloat cleanup
  The pg_squeeze PostgreSQL extension removes unused space from a table and
  optionally sorts tuples according to particular index, as if the CLUSTER

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	pg_buildext \
		-o 'shared_preload_libraries=pg_squeeze' \
		-o 'wal_level=logical' \
		installcheck . . postgresql-%v-squeeze

=== debian/tests/control ===
Depends:
 postgresql-common-dev,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,

Depends:
 python3-psycopg,
 @,
Tests:
 concurrency,
Restrictions:
 allow-stderr,
 skip-not-installable,
# python3-psycopg not available before bookworm/lunar
